"use strict";
const vue = require("vue");
const utils = require("../assets/utils-BoawvLb8.js");
require("fs-extra");
require("path");
const _hoisted_1 = { id: "container" };
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "app",
  props: {
    defaultValue: String,
    onConfirm: Function
  },
  setup(__props) {
    const props = __props;
    const {
      onConfirm,
      defaultValue
    } = props;
    const value = vue.ref(defaultValue);
    function confirm() {
      onConfirm == null ? void 0 : onConfirm(value.value);
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", _hoisted_1, [
        vue.withDirectives(vue.createElementVNode("ui-input", {
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => value.value = $event),
          style: { "width": "80%" }
        }, null, 512), [
          [vue.vModelText, value.value]
        ]),
        vue.createElementVNode("ui-button", { onConfirm: confirm }, "确认", 32)
      ]);
    };
  }
});
const _export_sfc = (sfc, props) => {
  const target = sfc.__vccOpts || sfc;
  for (const [key, val] of props) {
    target[key] = val;
  }
  return target;
};
const AppComponent = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-d4df7188"]]);
const panelDataMap = /* @__PURE__ */ new WeakMap();
const index = Editor.Panel.define({
  listeners: {
    show() {
      console.log("show");
    },
    hide() {
      console.log("hide");
    }
  },
  template: `
		<div id="app"></div>
	`,
  style: utils.loadCss(),
  $: {
    app: "#app"
  },
  methods: {
    hello() {
      console.log("[cocos-panel-html.default]: hello");
    }
  },
  ready([defaultValue]) {
    console.log(arguments);
    console.log("ready");
    const app = vue.createApp(AppComponent, {
      defaultValue,
      onConfirm: (value) => {
        console.log("onConfirm", value);
        utils.closePackagePanel("input-dialog");
      }
    });
    app.config.compilerOptions.isCustomElement = (tag) => tag.startsWith("ui-");
    app.mount(this.$.app);
    panelDataMap.set(this, app);
  },
  close() {
    const app = panelDataMap.get(this);
    if (app) {
      app.unmount();
    }
  }
});
module.exports = index;
