import { getCurrentWindow } from "@electron/remote";
import { App, createApp } from "vue";
import { closePackagePanel, loadCss } from "../../utils";
import AppComponent from "./app.vue";

const panelDataMap = new WeakMap<any, App>();

export default Editor.Panel.define({
	listeners: {
		show() {
			console.log("show");
		},
		hide() {
			console.log("hide");
		},
	},
	template: `
		<div id="app"></div>
	`,
	style: loadCss(),
	$: {
		app: "#app",
	},
	methods: {
		hello() {
			console.log("[cocos-panel-html.default]: hello");
		},
	},
	ready([defaultValue]: [string]) {
		console.log(arguments);

		console.log("ready");
		const app = createApp(AppComponent, {
			defaultValue,
			onConfirm: (value) => {
				console.log("onConfirm", value);
				closePackagePanel("input-dialog");
			}
		});

		app.config.compilerOptions.isCustomElement = (tag) => tag.startsWith("ui-");
		app.mount(this.$.app);
		panelDataMap.set(this, app);

		// const window = getCurrentWindow();

		// 打开当前窗口的调试工具
		// window.webContents.openDevTools();
	},
	close() {
		const app = panelDataMap.get(this);
		if (app) {
			app.unmount();
		}
	},
});
