import fs from "fs-extra";
import path from "path";
import packageJson from "../package.json"

export function getPackageName() {
	return packageJson.name;
}

export function getPackagePath() {
	return Editor.Package.getPath(getPackageName());
}

export function getPackagePanelName(panelName: string) {
	return `${getPackageName()}.${panelName}`;
}

export function openPackagePanel(panelName: string, ...args: any[]) {
	Editor.Panel.open(getPackagePanelName(panelName), args);
}

export function closePackagePanel(panelName: string) {
	Editor.Panel.close(getPackagePanelName(panelName));
}

export function loadCss() {
	const packagePath = getPackagePath();
	return fs.readFileSync(path.join(packagePath, "./dist/assets/style.css"), "utf-8")
		+ fs.readFileSync(path.join(packagePath, "./public/style.css"), "utf-8");
}
